import { query_edge_is_boundary } from "./query_edge_is_boundary.js";
import { query_edge_is_manifold } from "./query_edge_is_manifold.js";

/**
 *
 * @param {TopoEdge} edge
 * @returns {boolean}
 */
export function query_edge_is_manifold_or_boundary(edge) {
    return query_edge_is_manifold(edge) || query_edge_is_boundary(edge);
}
